aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorSupremist <sergkarv@gmail.com>2026-04-17 16:19:12 +0300
committerSupremist <sergkarv@gmail.com>2026-04-17 16:19:12 +0300
commit3d622e74edc1347ed8ed2c8fcdc3ddfff8e04ae2 (patch)
treec2f4127579b44dba87d3b41f668fe92763122051 /deploy.sh
parent808c7e74b1455d0f9fc316c5b5756adb097421ac (diff)
downloadnetbird-3d622e74edc1347ed8ed2c8fcdc3ddfff8e04ae2.tar.xz
netbird-3d622e74edc1347ed8ed2c8fcdc3ddfff8e04ae2.zip
Simple deploy script
Diffstat (limited to 'deploy.sh')
-rw-r--r--deploy.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100644
index 0000000..a788b18
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+BRANCH="main"
+git --git-dir=/srv/git/netbird.git archive --format=tar $BRANCH | tar -x -C /root/netbird/
+chmod +x /root/netbird/backup.sh
+chmod +x /root/netbird/update.sh
+chmod +x /root/netbird/deploy.sh \ No newline at end of file